import {divTop} from './top.js';
import {divFooter} from './footer.js';
import {letterShift} from './shiftconversion.js';
import {loadedSetEventClickPassword} from './dailylistloadedpassword.js';
import {processExit} from './processexit.js';

export function pageStructure(strJson, strDivID){
	let json = JSON.parse(strJson);
	let strPageStructure = `
		<div class="corpo">` +
			divTop(json.topo, json.ano_busca) + `
			<div id="centro" class="centro">` +
				strStructureDiaryList(json) + `
			</div>` +
			divFooter() + `
		</div>`;

	document.body.className = 'bodypagina';
	document.body.innerHTML = strPageStructure;

	diaryList(json, strDivID);

	loadedSetEventClickPassword(strDivID);

	loadedExit(json.topo.ambiente);
}

function strStructureDiaryList(json){
	let s = `
		<div class="box_conteudo">
			<div id="buscaano">
				<form id="formano" name="form_busca">
					<label>Ano Letivo:</label>
					<input type="text" name="ano" value="${json.ano_busca}" size="4" maxlength="4">
					<input type="submit" class="btn" value="Do not click" disabled>
				</form>
			</div>
			<div id="div_saida"></div>
		</div>`;
	return s;
}

function loadedExit(ambiente){
	document.getElementById('topo_sair').addEventListener('click', function(e){
		e.preventDefault();
		let json = '{"statusExit":1,"reasonExit":-1,"ambiente":"producao"}';
		processExit(json, 'div_erro');
	});
}

function menuButton(qtdebimtrim, cod_ministra, semestre, suf){
	if(qtdebimtrim[0]){
		if((cod_ministra) && (qtdebimtrim[1])){
			let r = `data-cod_ministra="${cod_ministra}" data-semestre="${semestre}" data-suf="${suf}" data-numeronota="${qtdebimtrim[1]}"`;
			r = `<input type="submit" value="Do not click" class="btn larg_70" ${r}>`;
			return r;
		}
	}else{
		return '<button class="btn_aviso larg_70" title="aviso">Aviso!</button>';
	}
}

function dailyRows(json){
	let daily = json.daily;
	let qtdeDaily = daily.length;
	let strDaily = '';
	for(let i=0; i<qtdeDaily; i++){
		strDaily += `
			<tr class="tr_dados">
				<td class="ta_c">${daily[i].CODIGO}</td>
				<td class="ta_c">${daily[i].ANO}</td>
				<td>${daily[i].CURSO}</td>
				<td>${daily[i].SERIE}</td>
				<td class="ta_c">` + letterShift(daily[i].TURNO) + `</td>
				<td class="ta_c">`;
					if(daily[i].QTDEBIMTRIM[0]){
						if(json.tipologin == "P"){
							strDaily += `<button class="btn">${daily[i].TURMA}</button>`;
						}else{
							strDaily += daily[i].TURMA;
						}
					}else{
						strDaily += `<button class="btn_aviso" title="aviso">${daily[i].TURMA}</button>`; 
					}
					strDaily += `
				</td>
				<td colspan="2">${daily[i].DISCIPLINA}</td>
				<td class="ta_l">` + menuButton(daily[i].QTDEBIMTRIM, daily[i].CODIGO, 0, '') + `</td>
			</tr>`;
	}
	return strDaily;
}

function table(json){
	let strTable = `
		<div class="resultados_box">
			<table style="border:0;width:980px;border-spacing:2px;">
				<tr class="tr_titulo">
					<td style="width:42px;">ID</td>
					<td style="width:42px;">Year</td>
					<td style="width:288px;">Course</td>
					<td style="width:97px;">Grade</td>
					<td style="width:78px;">Shift</td>
					<td style="width:59px;">Class</td>
					<td colspan="2">Discipline</td>
					<td style="width:108px;">Menu</td>
				</tr>` + dailyRows(json) + `
			</table>
		</div>`;
	return strTable;
}

function diaryList(json, strDivID){
	document.getElementById(strDivID).innerHTML = table(json);
}